## Cite DeepFace Papers

Please cite deepface in your publications if it helps your research. Here are its BibTex entries:

### Facial Recognition

If you use deepface in your research for facial recogntion purposes, please cite these publications:

```BibTeX
@article{serengil2024lightface,
  title         = {A Benchmark of Facial Recognition Pipelines and Co-Usability Performances of Modules},
  author        = {Serengil, Sefik Ilkin and Ozpinar, Alper},
  journal       = {Bilisim Teknolojileri Dergisi},
  volume        = {17},
  number        = {2},
  pages         = {95-107},
  year          = {2024},
  doi           = {10.17671/gazibtd.1399077},
  url           = {https://dergipark.org.tr/en/pub/gazibtd/issue/84331/1399077},
  publisher     = {Gazi University}
}
```

```BibTeX
@inproceedings{serengil2020lightface,
  title        = {LightFace: A Hybrid Deep Face Recognition Framework},
  author       = {Serengil, Sefik Ilkin and Ozpinar, Alper},
  booktitle    = {2020 Innovations in Intelligent Systems and Applications Conference (ASYU)},
  pages        = {23-27},
  year         = {2020},
  doi          = {10.1109/ASYU50717.2020.9259802},
  url          = {https://ieeexplore.ieee.org/document/9259802},
  organization = {IEEE}
}
```

### Facial Attribute Analysis

If you use deepface in your research for facial attribute analysis purposes such as age, gender, emotion or ethnicity prediction, please cite the this publication.

```BibTeX
@inproceedings{serengil2021lightface,
  title        = {HyperExtended LightFace: A Facial Attribute Analysis Framework},
  author       = {Serengil, Sefik Ilkin and Ozpinar, Alper},
  booktitle    = {2021 International Conference on Engineering and Emerging Technologies (ICEET)},
  pages        = {1-4},
  year         = {2021},
  doi          = {10.1109/ICEET53442.2021.9659697},
  url          = {https://ieeexplore.ieee.org/document/9659697/},
  organization = {IEEE}
}
```

### Additional Papers

We have additionally released these papers within the DeepFace project for a multitude of purposes.

```BibTeX
@misc{serengil2023db,
  title         = {An evaluation of sql and nosql databases for facial recognition pipelines},
  author        = {Serengil, Sefik Ilkin and Ozpinar, Alper},
  year          = {2023},
  archivePrefix = {Cambridge Open Engage},
  doi           = {10.33774/coe-2023-18rcn},
  url           = {https://www.cambridge.org/engage/coe/article-details/63f3e5541d2d184063d4f569}
}
```

### Repositories

Also, if you use deepface in your GitHub projects, please add `deepface` in the `requirements.txt`. Thereafter, your project will be listed in its [dependency graph](https://github.com/serengil/deepface/network/dependents).